label ch1_hub:
    if chap1_talk <= 3:
        show char fa_happy
        fa "So, who would you like me to introduce you to?"
        menu:
            "Sam Snitchworth" if talk_sn == False:
                $ chap1_talk += 1
                $ talk_sn = True
                scene black with pixellate
                with Pause(0.5)
                jump ch1_sn
            "Hideo Video" if talk_ot == False:
                $ chap1_talk += 1
                $ talk_ot = True
                scene black with pixellate
                with Pause(0.5)
                jump ch1_ot
            "David Davis" if talk_ag == False:
                $ chap1_talk += 1
                $ talk_ag = True
                scene black with pixellate
                with Pause(0.5)
                jump ch1_ag
            "Scarletta Rosetta" if talk_ff == False:
                $ chap1_talk += 1
                $ talk_ff = True
                scene black with pixellate
                with Pause(0.5)
                jump ch1_ff
            
    else:
        show char fa_ok
        fa "Oh, you talked to all my contacts."
        show char fa_sad
        fa "You couldn't get any help from any of them?!?"
        fa "What kind of spy are you?!"
        jump gameover


label ch1_sn:
    scene bg sn with pixellate
    show char pc_ok
    n "{i}I went to the address she'd scrawled on the card.{/i}"
    show char pc_sad
    n "{i}It smells awful.{/i}"
    show char pc_ok
    n "{i}I hear some noises coming from the trash.{/i}"
    show char sn_ok
    sn "Hey... HEY!!!"
    show char pc_ok
    pc "..."
    show char sn_ok
    sn "Do you have it? Do you???"
    menu:
        "No.":
            show char pc_ok
            pc "No."
            show char sn_sad
            sn "What?? Didn't Isabella tell you anything?"
            show char pc_ok
            n "{i}I wish she'd told me how stinky he is...{/i}"
        
        "The disk?":
            show char pc_ok
            pc "You mean the data?"
            show char sn_ok
            sn "Data?"
            $ friend_sn += 1
            show char pc_ok
            n "{i}What does he think I'm here for?{/i}"
        
        "This burger?":
            show char pc_happy
            pc "Yes, Isabella told me to bring you this."
            show char sn_happy
            sn "Thanks!"
            $ friend_sn += 2
            show char pc_ok
            n "{i}I pass him the grease soaked bag, glad to be rid of its soggy, dripping contents.{/i}"
            
    show char sn_ok    
    sn "What about the other thing?"
    menu:
        "Other thing?":
            show char pc_ok
            pc "Which 'other thing'?"
            show char sn_sad
            sn "Argh, I can't believe this!"
            show char pc_ok
            n "{i}Neither can I sometimes.{/i}"
        
        "Coffee?":
            show char pc_happy
            pc "Yes, I have your coffee too."
            show char sn_happy
            sn "Alright!!!"
            $ friend_sn += 2
            show char pc_ok
            n "{i}I pass him the lukewarm feeling paper cup. It smells so rancid, no amount of sugar will repair the taste.{/i}"
        
        "You can't have my shoes!":
            show char pc_ok
            pc "You can't have my shoes!"
            show char sn_ok
            sn "Haha, what? No! That's not what I mean!"
            $ friend_sn += 1
            show char pc_happy
            pc "Here, your coffee."
            show char sn_happy
            sn "You're weird. A weird, weird guy."
            show char pc_ok
            n "{i}Says the man who lives in a bin.{/i}"
            
    show char sn_ok        
    sn "So what are you doing here?"
    menu:
        "Isabella said you were cool.":
            show char pc_happy
            pc "Isabella said you were cool."
            show char sn_ok
            sn "Heh, I knew it."
            $ friend_sn += 1
            show char pc_ok
            n "{i}What a loser.{/i}"
            
        "I want some information.":
            show char pc_ok
            pc "I wondered if you could give me some information."
            show char sn_sad
            sn "Maybe."
            show char pc_ok
            pc "Maybe?"
            show char sn_sad
            sn "Well, it depends..."
            show char pc_sad
            n "{i}This is too much hard work.{/i}"
            
        "Just hanging out.":
            show char pc_happy
            pc "Just hanging out."
            show char sn_happy
            sn "It's a nice neighbourhood, yeah?"
            $ friend_sn += 2
            show char pc_sad
            n "{i}It smells like sewage.{/i}"
            
    if friend_sn >= 3:
        show char sn_happy
        sn "Now, how can I help you?"
        show char pc_ok
        pc "I have this... what's it called... 'floppy disk'."
        show char sn_ok
        sn "Hmm."
        show char pc_happy
        pc "I was told you might be able to help me get some data off it."
        show char sn_sad
        sn "Huh."
        show char sn_ok
        sn "Man, it's been a long time since I've seen one of these."
        show char pc_ok
        pc "Yeah..."
        n "{i}Stupid thing.{/i}"
        show char sn_happy
        sn "Let me have a rummage around, see if I can find anything useful."
        show char pc_ok
        n "{i}He disappears back into the bin. I hear some horrible scraping and squelching noises.{/i}"
        show char sn_happy
        sn "Huh. I was sure I had something in here..."
        show char pc_ok
        pc "..."
        show char sn_ok
        sn "Well, these things happen. I'll make it up to you."
        sn "I know a few peeps who might be able to help you out."
        $ chap2_path = 1
        jump ch2_hubsn
    
    else:
        show char sn_sad
        sn "Look, I'm not sure I'm the guy to help you, sorry."
        show char pc_sad
        pc "Why?"
        show char sn_sad
        sn "Well, look at it from my perspective. What have you ever done for me?"
        show char pc_ok
        pc "Hmph."
        show char sn_ok
        sn "Sorry man, it's just how it is. Nothing personal."
        show char pc_ok
        pc "Yeah..."
        scene black with pixellate
        n "{i}I figure I should go back, try to get some more contacts.{/i}"
        n "{i}I gladly leave Sam and his disgusting living quarters behind.{/i}"
        scene bg fa with pixellate
        show char fa_happy 
        fa "Oh, you're back."
        jump ch1_hub


label ch1_ot:
    scene bg ot with pixellate
    show char pc_ok 
    n "{i}She directed me to a dingy looking apartment block.{/i}"
    n "{i}It's dirty.{/i}"
    show char pc_sad
    n "{i}D-did I just see a cockroach?{/i}"
    show char ot_sad
    ot "Kyaaa! Gokiburi!"
    show char pc_sad
    pc "Excuse me?"
    show char ot_sad
    ot "Cockroach! Don't you know anything? Baka!"
    show char pc_ok
    n "{i}I know how to shower...{/i}"
    show char ot_ok
    ot "Who the hell are you anyway?"
    menu:
        "I know Isabella.":
            show char pc_happy
            pc "I am a friend of Isabella."
            show char ot_happy
            ot "OH COOL! I love her, she's so hot."
            ot "She looks like Maetel. Maetel is so cool... Did she tell you she's my girlfriend?"
            $ friend_ot += 2
            show char pc_sad
            n "{i}I bet she's not his girlfriend.{/i}"
        
        "What's it to you?":
            show char pc_ok
            pc "What's it to you?"
            show char ot_sad
            ot  "Whatever."
            show char pc_ok
            n "{i}If I tell you my name, you might come kill me in my sleep.{/i}"
        
        "I LOVE ANIME!":
            show char pc_happy
            pc "Uh... I LOVE ANIME!"
            show char ot_happy
            ot "Pft, of course you do. Who doesn't? Do you wanna join my club?"
            show char pc_sad
            pc "Uh, no thanks..."
            show char ot_ok
            ot "Never mind. We can still hang out."
            $ friend_ot += 1
            show char pc_sad
            n "{i}We are NEVER going to 'hang out'. Unless it involves one of us hanging from a noose.{/i}"
            
    show char ot_ok        
    ot "So what do you want?"
    menu:
        "Information.":
            show char pc_ok
            pc "I want some information."
            show char ot_sad
            ot "Meh, what makes you think I have any? Find it somewhere else!"
            show char pc_ok
            n "{i}Urgh, this guy smells rotten. I can't bear talking to him.{/i}"
        
        "MOE!":
            show char pc_happy
            pc "Uh, I want to see some moe!"
            show char ot_happy
            ot "Oh man I love moe! I am especially into megane-ko."
            ot "If only Isabella wore glasses..."
            $ friend_ot += 1
            show char pc_sad
            n "{i}She doesn't need glasses to see how gross you are.{/i}"
        
        "Isabella's measurements.":
            show char pc_happy
            pc "I... I want Isabella's measurements."
            show char ot_happy
            ot "Oh if I only had them!"
            ot "D-do you think you could get them for me?"
            $ friend_ot += 2
            show char pc_sad
            n "{i}Oh god, what would he do with them? Make a life-size doll?{/i}"
            
    show char ot_ok    
    ot "I'm starving... let me grab my lunch."
    show char pc_ok
    n "{i}He waddles over to his fridge and pulls out a white plastic container.{/i}"
    show char pc_sad
    n "{i}What is in it... it smells terrible!{/i}"
    n "{i}It looks like beans in snot.{/i}"
    show char ot_happy
    ot "Do you want some natto?"
    menu:
        "Y-yes":
            show char pc_ok
            pc "Y-yeah, ok."
            show char ot_ok
            ot "Here."
            show char pc_ok
            n "{i}He passes it to me. I decide to give it a try.{/i}"
            show char pc_sad
            n "{i}It's horrible.{/i}"
            pc "Uh, yum... urk."
            $ friend_ot += 1
            show char ot_happy
            ot "Hurr hurr."
        
        "No!":
            show char pc_sad
            pc "No! Thanks."
            show char ot_sad
            ot "Fine. Suit yourself."
            show char pc_sad
            n "{i}He slurps it down. Sticky strands of the weird mucus 'sauce' stick to his chin.{/i}"
            show char ot_happy
            ot "Mmm, tasty."
        
        "YES!":
            show char pc_happy
            pc "YES!"
            show char ot_happy
            ot "Hah, here you go."
            show char pc_ok
            n "{i}He passes it to me. I try a little piece.{/i}"
            n "{i}It's not as bad as I thought, but I would hesitate to call it tasty.{/i}"
            show char pc_happy
            pc "Mmm."
            $ friend_ot += 2
            
    if friend_ot >= 3:
        show char ot_happy
        ot "So, my new found tomodachi..."
        show char pc_ok
        pc "What?"
        show char ot_sad
        ot "Friend! Argh, learn nihon-go you loser!"
        show char pc_ok
        pc "Yeah... maybe next time."
        show char ot_ok
        ot "So, what are you here for?"
        show char pc_ok
        n "{i}I pull out the floppy disk.{/i}"
        show char ot_happy
        ot "WAAAH! It's been so long!"
        ot "Oh man, I remember these... I had like hundreds with games on."
        ot "Like, my friend would send me pirated copies of these porn games..."
        show char pc_happy
        pc "So, can you read the data?"
        show char ot_happy
        ot "SNORT! Yeah right, like any computer in the last billion years has had a floppy disk drive."
        show char pc_ok
        pc "Hmm, that's kinda why I'm looking for someone to help."
        show char ot_ok
        ot "Hurr, alright. Well, I can't help, but I have some mates..."
        $ chap2_path = 2
        jump ch2_hubot
        
    else:
        show char ot_ok
        ot "Urgh, my favourite show has just finished downloading..."
        show char pc_sad
        pc "..."
        show char ot_sad
        ot "Get out!"
        show char pc_ok
        pc "I wondered if you could help...?"
        show char ot_ok
        ot "...."
        scene black with pixellate
        n "{i}He ignored me, hypnotised by some jailbait looking cartoon character dancing around on his computer screen.{/i}"
        n "{i}Talking to him was a waste of time, so I decided to try another contact.{/i}"
        scene bg fa with pixellate
        show char fa_happy 
        fa "Oh, you're back."
        jump ch1_hub
        

label ch1_ag:
    scene bg ag with pixellate
    show char pc_ok 
    n "{i}I left the cab outside the bar which Isabella had directed it to.{/i}"
    n "{i}It was smoky inside. Beneath the thick nicotine fog, I thought I caught the faintest whiff of disappointment.{/i}"
    show char ag_ok
    ag "..."
    show char pc_ok
    n "{i}This must be the guy.{/i}"
    show char ag_ok
    ag "......"
    show char pc_happy
    n "{i}He kind of sticks out.{/i}"
    menu:
        "Buy a drink":
            show char pc_ok
            n "{i}I decide to buy myself a drink.{/i}"
            show char ag_ok
            ag "..?"
            $ friend_ag += 1
        
        "...":
            show char pc_ok
            pc "..."
            show char ag_happy
            ag "..."
            $ friend_ag += 2
        
        "Helloooo!":
            show char pc_happy
            pc "Hellooo!?"
            show char ag_sad
            ag "!!!?!"
            
    show char pc_ok        
    n "{i}He appears to be the silent type.{/i}"
    show char pc_happy
    n "{i}What a novice.{/i}"
    show char pc_ok
    n "{i}I should be careful not to scare him away.{/i}" 
    menu:
        "...":
            show char pc_ok
            pc "..."
            show char ag_happy
            ag "..."
            $ friend_ag += 2
        
        "Cough really loudly.":
            show char pc_happy
            n "{i}I clear my throat really loudly.{/i}"
            n "{i}The whole bar stares at me.{/i}"
            show char ag_sad
            ag "!!!!??!"
        
        "Buy a drink.":
            show char pc_ok
            n "{i}I buy another drink.{/i}"
            n "{i}Should I really be drinking?{/i}"
            show char ag_ok
            ag "..."
            $ friend_ag += 1
            
    show char pc_ok
    n "{i}OK, I don't have much more time to waste here.{/i}"
    n "{i}I need to get him to talk to me, right now!{/i}"
    menu:
        "Wave at him.":
            show char pc_happy
            n "{i}I wave really energetically at him.{/i}"
            show char ag_sad
            ag "...!!!"            
        
        "Buy him a drink.":
            show char pc_ok
            n "{i}I buy him a drink, and take it to his table.{/i}"
            n "{i}I sit down opposite him.{/i}"
            show char ag_ok
            ag "..."
            $ friend_ag += 1
        
        "Slide the envelope to him.":
            show char pc_ok
            n "{i}I walk to his table, and slide the envelope towards him.{/i}"
            show char ag_happy
            ag "...?"
            $ friend_ag += 2
            
    if friend_ag >= 3:
        show char ag_ok
        ag "..."
        ag "What do you want?"
        show char pc_ok
        pc "Can you help me?"
        show char ag_happy
        ag "..."
        show char ag_ok
        ag "..."
        show char pc_ok
        pc "..."
        show char pc_sad
        n "{i}Come on!{/i}"
        show char ag_sad
        ag "...No."
        show char pc_ok
        pc "OK."
        n "{i}I pull the envelope back towards me, but he puts his hand down on top of it.{/i}"
        $ chap2_path = 3
        jump ch2_hubag
    
    else:
        show char ag_sad
        ag "...!"
        show char pc_sad
        pc "Hey!"
        scene black with pixellate
        n "{i}He left.{/i}"
        n "{i}I decide to go back to Isabella.{/i}"
        scene bg fa with pixellate
        show char fa_happy
        fa "Oh, you're back."
        jump ch1_hub


label ch1_ff:
    scene bg ff with pixellate
    show char pc_happy 
    n "{i}I took the subway to a hotel in the centre of town.{/i}"
    n "{i}I asked the front desk to let me up to Scarletta's room.{/i}"
    n "{i}It sounds like she is in the shower.{/i}"
    show char ff_happy
    ff "Oh, hellooo!"
    show char ff_ok
    ff "Isabella told me all about you, honey."
    show char pc_ok
    pc "Oh really?"
    show char ff_happy
    ff "Mmhmm!"
    show char ff_ok
    ff "So, what's your name?"
    show char pc_happy
    n "{i}Heh, she obviously didn't tell her that much.{/i}"
    menu:
        "Pink Cat":
            show char pc_ok
            pc "Pink Cat."
            show char ff_sad
            ff "Heehee, that's so cuuute!"
        
        "None of your business!":
            show char pc_ok
            pc "It's none of your business!"
            show char ff_happy
            ff "Ooh, sorry honey!"
            $ friend_ff += 2
        
        "Blue Dog":
            show char pc_happy
            pc "People call me 'Blue Dog'."
            show char ff_ok
            ff "Oh really?"
            show char ff_happy
            ff "I hope your bite is worse than your bark."
            $ friend_ff += 1
            
    show char ff_ok        
    ff "What can I do for you?"
    show char ff_happy
    ff "Why don't you sit next to me and tell me?"
    show char pc_sad
    n "{i}Uhm...{/i}"
    menu:
        "Stand and sulk":
            show char pc_ok
            n "{i}I stay standing, and thrust my hands into my pockets.{/i}"
            pc "I have some questions for you, miss."
            show char ff_happy
            ff "Oh? For me???"
            $ friend_ff += 2
        
        "Sit next to her":
            show char pc_ok
            n "{i}I sit down gently next to her.{/i}"
            show char ff_sad
            ff "Heehee, you're such a cutie!"
        
        "Perch on the dresser.":
            show char pc_ok
            n "{i}I lean against the dresser instead.{/i}"
            show char ff_ok
            ff "Aw, why don't you come closer?"
            $ friend_ff += 1
            
    show char ff_happy        
    ff "You know, despite what people say, I'm a good girl really!"
    show char pc_sad
    pc "Oh?"
    show char ff_ok
    ff "You're surprised? Why shouldn't I be good?"
    menu:
        "You seem good to me.":
            show char pc_happy
            pc "You seem like a good person to me. Why would anyone think you weren't?"
            show char ff_sad
            ff "Aww that's so sweet of you!"
        
        "You're too beautiful...":
            show char pc_happy
            pc "You're too beautiful to worry about being good."
            show char ff_ok
            ff "Heehee, I suppose that's true."
            $ friend_ff += 1
        
        "Quit the act!":
            show char pc_ok
            pc "Quit the innocent act - it's not working."
            show char ff_happy
            ff "Hee, I guess I shouldn't try to fool you!"
            $ friend_ff += 2
            
    if friend_ff >= 3:
        show char ff_happy
        ff "So, honey, what can I do for you?"
        show char pc_happy
        pc "I have this... problem."
        show char ff_ok
        ff "Ohh?"
        show char ff_happy
        ff "I am good with 'problems'!"
        show char pc_ok
        n "{i}I hand her the envelope.{/i}"
        show char ff_sad
        ff "Huh? I haven't the faintest idea..."
        show char pc_happy
        pc "It's a floppy disk. They used to be used in computers."
        show char ff_ok
        ff "Oh, computers... They're not really my thing..."
        show char pc_ok
        pc "Mm..."
        show char ff_happy
        ff "I have some friends though, who like old things like this."
        $ chap2_path = 4
        jump ch2_hubff
    
    else:
        show char ff_sad
        ff "-Sigh-"
        ff "When Isabella told me you were coming, she didn't mention how green you are."
        show char pc_sad
        pc "G-green!?"
        show char ff_happy
        ff "Heehee, there's nothing I can do to help you sweetie!"
        ff "Come back when you're a little tougher!"
        scene black with pixellate
        n "{i}She turfed me out of her suite.{/i}"
        n "{i}I decided to go back to Isabella.{/i}"
        scene bg fa with pixellate
        show char fa_happy 
        fa "Oh, you're back."
        jump ch1_hub
        
