﻿# You can place the script of your game in this file.

init:
    # Declare images below this line, using the image statement.
    image char sn_happy ="images/sn_happy.png"
    image char sn_ok ="images/sn_ok.png"
    image char sn_sad ="images/sn_sad.png"
    image char ot_happy ="images/ot_happy.png"
    image char ot_ok ="images/ot_ok.png"
    image char ot_sad ="images/ot_sad.png"
    image char ag_happy ="images/ag_happy.png"
    image char ag_ok ="images/ag_ok.png"
    image char ag_sad ="images/ag_sad.png"
    image char ff_happy ="images/ff_happy.png"
    image char ff_ok ="images/ff_ok.png"
    image char ff_sad ="images/ff_sad.png"
    image char we_happy ="images/we_happy.png"
    image char we_ok ="images/we_ok.png"
    image char we_sad ="images/we_sad.png"
    image char pr_happy ="images/pr_happy.png"
    image char pr_ok ="images/pr_ok.png"
    image char pr_sad ="images/pr_sad.png"
    image char ro_happy ="images/ro_happy.png"
    image char ro_ok ="images/ro_ok.png"
    image char ro_sad ="images/ro_sad.png"
    image char co_happy ="images/co_happy.png"
    image char co_ok ="images/co_ok.png"
    image char co_sad ="images/co_sad.png"
    image char cg_happy ="images/cg_happy.png"
    image char cg_ok ="images/cg_ok.png"
    image char cg_sad ="images/cg_sad.png"
    image char iv_happy ="images/iv_happy.png"
    image char iv_ok ="images/iv_ok.png"
    image char iv_sad ="images/iv_sad.png"
    image char ha_happy ="images/ha_happy.png"
    image char ha_ok ="images/ha_ok.png"
    image char ha_sad ="images/ha_sad.png"
    image char sp_happy ="images/sp_happy.png"
    image char sp_ok ="images/sp_ok.png"
    image char sp_sad ="images/sp_sad.png"
    image char fa_happy ="images/fa_happy.png"
    image char fa_ok ="images/fa_ok.png"
    image char fa_sad ="images/fa_sad.png"
    image char pc_happy ="images/pc_happy.png"
    image char pc_ok ="images/pc_ok.png"
    image char pc_sad ="images/pc_sad.png"
    
    image bg sn ="images/bg_sn.png"
    image bg ot ="images/bg_ot.png"
    image bg ag ="images/bg_ag.png"
    image bg ff ="images/bg_ff.png"
    image bg we ="images/bg_we.png"
    image bg pr ="images/bg_pr.png"
    image bg ro ="images/bg_ro.png"
    image bg co ="images/bg_co.png"
    image bg cg ="images/bg_cg.png"
    image bg iv ="images/bg_iv.png"
    image bg ha ="images/bg_ha.png"
    image bg sp ="images/bg_sp.png"
    image bg fa ="images/bg_fa.png"
    
    image bg end1 ="images/bg_end1.png"
    image bg end2 ="images/bg_end2.png"
    image bg end3 ="images/bg_end3.png"
    image bg end4 ="images/bg_end4.png"
    image bg end5 ="images/bg_end5.png"
    image bg end6 ="images/bg_theend.png"
    image bg gameover ="images/bg_gameover.png"
    
    image splash ="images/logo.png"
        

    # Declare characters used by this game.
    $ sn= Character('Sam Snitchworth', color="#ea83a0", what_color="#ffffff")
    $ ot= Character('Hideo Video', color="#ea83a0", what_color="#ffffff")
    $ ag= Character('David Davis', color="#ea83a0", what_color="#ffffff")
    $ ff= Character('Scarletta Rosetta', color="#ea83a0", what_color="#ffffff")
    $ we= Character('Jim Glockson', color="#ea83a0", what_color="#ffffff")
    $ pr= Character('Prof. Huffington', color="#ea83a0", what_color="#ffffff")
    $ ro= Character('LD-0018', color="#ea83a0", what_color="#ffffff")
    $ co= Character('Joan Black', color="#ea83a0", what_color="#ffffff")
    $ cg= Character('Ashley Rightly', color="#ea83a0", what_color="#ffffff")
    $ iv= Character('Em O\'Brain', color="#ea83a0", what_color="#ffffff")
    $ ha= Character('Yon Chan', color="#ea83a0", what_color="#ffffff")
    $ sp= Character('Wendell Incy', color="#ea83a0", what_color="#ffffff")
    $ fa= Character('Isabella Kompski', color="#ea83a0", what_color="#ffffff")
    $ pc= Character('Pink Cat', color="#ea83a0", what_color="#ffffff")
    $ n= Character(what_color="#ea83a0")
    
    $_game_menu_screen = "_quit_prompt"
    
    

# The game starts here.

label splashscreen:
    $ renpy.pause(0)
    scene black
    with Pause(0.5)

    show splash
    with fade
    with Pause(2.0)

    scene black
    with fade
    with Pause(0.5)

    return
    
label start:
    $ talk_sn = False
    $ talk_ot = False
    $ talk_ag = False
    $ talk_ff = False
    $ talk_we = False
    $ talk_pr = False
    $ talk_ro = False
    $ talk_co = False
    $ talk_cg = False
    $ talk_iv = False
    $ talk_ha = False
    $ talk_sp = False
    
    $ friend_sn = 0
    $ friend_ot = 0
    $ friend_ag = 0
    $ friend_ff = 0
    $ friend_we = 0
    $ friend_pr = 0
    $ friend_ro = 0
    $ friend_co = 0
    $ friend_cg = 0
    $ friend_iv = 0
    $ friend_ha = 0
    $ friend_sp = 0
    
    $ chap2_path = 0
    $ chap3_path = 0
    
    $ chap1_talk = 0
    $ chap2_talk = 0
    $ chap3_talk = 0
    
    $ end_pic = 0
    play music "images/theme01.mp3" 
    scene bg fa with pixellate
    show char pc_ok
    n "{i}It's cold.{/i}"
    $ config.rollback_enabled = False
    n "{i}The December snow hits me in the face like a thousand icy daggers.{/i}"
    n "{i}I'm waiting for my contact, and feel my fingertips growing numb as the cold penetrates my gloves.{/i}"
    n "{i}I grumble to myself - I should have gone somewhere better than Poundland to buy supplies.{/i}"
    show char pc_sad
    n "{i}Stupid Poundland!{/i}"
    show char pc_ok
    n "{i}As I mourn my fingers, pondering that I should have gone to M&S instead, I am interrupted.{/i}"
    show char fa_ok
    "I hear it will rain on Tuesday."
    show char pc_ok
    "Yes, but they will still make me eat the durian fruit outside."
    show char fa_ok
    "Are you Pink Cat?"
    show char pc_ok
    pc "Yes."
    show char fa_happy
    fa "It is I, Isabella."
    show char fa_ok
    fa "I have the... stuff."
    fa "Be careful with this information; this will destroy the Bratican government."
    show char pc_happy
    pc "Of course."
    show char fa_ok
    fa "Here."
    show char pc_ok
    n "{i}She passed me an envelope. I nonchalantly took a peek inside.{/i}"
    show char pc_sad
    pc "W-what is this?!?"
    show char fa_happy
    fa "What do you think?"
    show char pc_ok
    pc "I... don't know."
    show char fa_ok
    fa "It's a..."
    show char fa_happy
    fa "...floppy disk."
    show char pc_sad
    pc "What?"
    show char fa_ok
    fa "A floppy disk. The secret data is on the disk, apparently."
    fa "I couldn't check it myself."
    show char pc_ok
    pc "Why not?"
    show char fa_happy
    fa "I don't know how decode it."
    show char pc_sad
    pc "..."
    show char pc_ok
    pc "Couldn't you have put the data on a USB key instead?"
    show char fa_ok
    fa "..."
    fa "This is all I could get."
    show char pc_ok
    n "{i}Great. I waited ages for this information, and it's on an obsolete storage format.{/i}"
    pc "So what am I meant to do with it?"
    show char fa_happy
    fa "I have some contacts I can introduce you to, who all dabble in antiquated technologies..."
    fa "...or are geniuses with a variety of specialities. Maybe they can help you."
    show char pc_ok
    pc "Maybe."
    n "{i}I am doubtful.{/i}"
    show char fa_happy
    fa "Or you could try eBay."
    show char pc_ok
    n "{i}As if we have that sort of operations budget.{/i}"
    pc "..."
    show char fa_ok
    fa "Anyway..."
    fa "I'll introduce you to the contacts I have here."
    show char fa_happy
    fa "But remember, they are all citizens of Bratica, so technically, they are our enemies."
    fa "You should be nice to them too - they don't care about helping strangers."
    show char pc_ok
    pc "Right."
    jump ch1_hub
    
    


